Subject: Re: [net-next 3/7] openvswitch: Enable memory mapped Netlink i/o

From: Florian Westphal <[email-masked]>
Date: Sat, 30 Nov 2013 13:35:49 +0100

Thomas Graf <tgraf-G/[email-masked]> wrote:
> Benchmark
>   * pktgen -> ovs internal port
>   * 5M pkts, 5M flows
>   * 4 threads, 8 cores
> 
> Before:
> Result: OK: 67418743(c67108212+d310530) usec, 5000000 (9000byte,0frags)
>   74163pps 5339Mb/sec (5339736000bps) errors: 0
[..]
> After:
> Result: OK: 24229690(c24127165+d102524) usec, 5000000 (9000byte,0frags)
>   206358pps 14857Mb/sec (14857776000bps) errors: 0

I'm curious.  Is the 'old' value with skb_zerocopy() or without?
Does ovs-vswitchd 'read-access' the entire packet or just e.g. the
header?

I ask because in netfilter nfqueue tests I could not see any difference
between 'zerocopy' vs. mmap in the receive-path tests I made a while
back.

[ I have no objections to your patch, of course ].